package com.hzya.frame.mdm.entity;

import com.hzya.frame.mdm.mdmModuleView.entity.MdmModuleViewEntity;
import com.hzya.frame.mdm.mdmModuleViewButton.entity.MdmModuleViewButtonEntity;
import com.hzya.frame.mdm.mdmModuleViewDetail.entity.MdmModuleViewDetailEntity;

import java.util.List;

public class MdmModuleViewVo {


    /**  主数据模版ID */
    private String mdmId;
    /**   类型1、查询2、列表3、新增4、修改 5、查看 */
    private String viewType;
    //模版
    private MdmModuleViewEntity mdmModuleViewEntity;
    //新增
    private List<MdmDbFiledVo> addFiled;
    //修改
    private List<MdmDbFiledVo> editFiled;
    //查看
    private List<MdmDbFiledVo> showFiled;
    //查询
    private List<MdmDbFiledVo> queryFiled;
    //列表
    private List<MdmDbFiledVo> listFiled;

    //新增
    private List<MdmModuleViewDetailEntity> dbAddFiled;
    //修改
    private List<MdmModuleViewDetailEntity> dbEditFiled;
    //查看
    private List<MdmModuleViewDetailEntity> dbShowFiled;
    //查询
    private List<MdmModuleViewDetailEntity> dbQueryFiled;
    //列表
    private List<MdmModuleViewDetailEntity> dbListFiled;
    //按钮
    private List<MdmModuleViewButtonEntity> dbButtonFiled;

    public List<MdmDbFiledVo> getAddFiled() {
        return addFiled;
    }

    public void setAddFiled(List<MdmDbFiledVo> addFiled) {
        this.addFiled = addFiled;
    }

    public List<MdmDbFiledVo> getEditFiled() {
        return editFiled;
    }

    public void setEditFiled(List<MdmDbFiledVo> editFiled) {
        this.editFiled = editFiled;
    }

    public List<MdmDbFiledVo> getShowFiled() {
        return showFiled;
    }

    public void setShowFiled(List<MdmDbFiledVo> showFiled) {
        this.showFiled = showFiled;
    }

    public List<MdmDbFiledVo> getQueryFiled() {
        return queryFiled;
    }

    public void setQueryFiled(List<MdmDbFiledVo> queryFiled) {
        this.queryFiled = queryFiled;
    }

    public List<MdmDbFiledVo> getListFiled() {
        return listFiled;
    }

    public void setListFiled(List<MdmDbFiledVo> listFiled) {
        this.listFiled = listFiled;
    }

    public MdmModuleViewEntity getMdmModuleViewEntity() {
        return mdmModuleViewEntity;
    }

    public void setMdmModuleViewEntity(MdmModuleViewEntity mdmModuleViewEntity) {
        this.mdmModuleViewEntity = mdmModuleViewEntity;
    }

    public List<MdmModuleViewDetailEntity> getDbAddFiled() {
        return dbAddFiled;
    }

    public void setDbAddFiled(List<MdmModuleViewDetailEntity> dbAddFiled) {
        this.dbAddFiled = dbAddFiled;
    }

    public List<MdmModuleViewDetailEntity> getDbEditFiled() {
        return dbEditFiled;
    }

    public void setDbEditFiled(List<MdmModuleViewDetailEntity> dbEditFiled) {
        this.dbEditFiled = dbEditFiled;
    }

    public List<MdmModuleViewDetailEntity> getDbShowFiled() {
        return dbShowFiled;
    }

    public void setDbShowFiled(List<MdmModuleViewDetailEntity> dbShowFiled) {
        this.dbShowFiled = dbShowFiled;
    }

    public List<MdmModuleViewDetailEntity> getDbQueryFiled() {
        return dbQueryFiled;
    }

    public void setDbQueryFiled(List<MdmModuleViewDetailEntity> dbQueryFiled) {
        this.dbQueryFiled = dbQueryFiled;
    }

    public List<MdmModuleViewDetailEntity> getDbListFiled() {
        return dbListFiled;
    }

    public void setDbListFiled(List<MdmModuleViewDetailEntity> dbListFiled) {
        this.dbListFiled = dbListFiled;
    }

    public List<MdmModuleViewButtonEntity> getDbButtonFiled() {
        return dbButtonFiled;
    }

    public void setDbButtonFiled(List<MdmModuleViewButtonEntity> dbButtonFiled) {
        this.dbButtonFiled = dbButtonFiled;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getViewType() {
        return viewType;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }
}

